///////////////////////////////////////////////////////////////////////////
// Workfile : ATtiny85.c
// Author : Georg Gschwandtner, Hubert Gschwandtner
// Date : 17. 07. 2011
// Description : Testprogramm fr ATMEL Evaluations- Addonboard
// Remarks : Tasten-HW gendert, Tasten schalten nach GND
//			Nur Tasten und LED-Test
// Revision : 0
///////////////////////////////////////////////////////////////////////////

#include <avr/io.h> 
#include <util/delay.h>
char flag1;
void ledeinaus(volatile unsigned char *reg, unsigned char port){
	*reg |= (1<<port);
	_delay_ms(200);
	*reg &= ~(1<<port);
	_delay_ms(200);
}

int main(void){
	DDRB= (1<<DDB1)|(1<<DDB2)|(1<<DDB3)|(1<<DDB4);			// Ausgnge aktiv
	PORTB= (1<<PB0); // PullUp aktiv

	

for(;;){
	if (!(PINB & (1<<PINB0))){ // LED1 als Stromstoss ausfuerung
		flag1=1;
		}
	else{
		flag1=0;	
	
	}
	if(flag1){
	ledeinaus(&PORTB,PB1);
	ledeinaus(&PORTB,PB2);
	ledeinaus(&PORTB,PB3);
	ledeinaus(&PORTB,PB4);
	_delay_ms(500);
	}
}
}
